'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _load_routes = require('./load_routes');

var _load_routes2 = _interopRequireDefault(_load_routes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// compile
var compileConfiguration = function compileConfiguration() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var bitsConfig = arguments[1];
  return _extends({}, options, bitsConfig);
};

exports.default = function (options) {
  return {
    loadRoutes: function loadRoutes(bitsConfig) {
      var config = compileConfiguration(options, bitsConfig);
      return (0, _load_routes2.default)(config);
    }
  };
};