'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.restDelete = undefined;

var _find_id = require('./find_id');

var _id_required = require('./id_required');

var restDelete = exports.restDelete = function restDelete(name, database) {
  return function (req, res) {
    var id = (0, _find_id.findId)(req);
    if (!id) {
      (0, _id_required.idRequired)(res);
      throw new Error('No id provided');
    }

    return database.delete(name, id);
  };
};