'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = undefined;

var _find_id = require('./find_id');

var _options_by_syntax = require('./options_by_syntax');

var _options_by_syntax2 = _interopRequireDefault(_options_by_syntax);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var get = exports.get = function get(name, database) {
  return function (req) {
    // test for id
    var id = (0, _find_id.findId)(req);
    if (id) {
      return database.findById(name, id);
    }

    return database.find(name, (0, _options_by_syntax2.default)(req));
  };
};