'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.put = undefined;

var _find_id = require('./find_id');

var _id_required = require('./id_required');

var _options_by_syntax = require('./options_by_syntax');

var _options_by_syntax2 = _interopRequireDefault(_options_by_syntax);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var put = exports.put = function put(name, database) {
  return function (req, res) {
    var id = (0, _find_id.findId)(req);
    if (!id) {
      (0, _id_required.idRequired)(res);
      return null;
    }

    return database.update(name, id, req.body, (0, _options_by_syntax2.default)(req));
  };
};